<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array();
use Claromentis\Core\Icon\Glyphicon;
use Claromentis\Core\Icon\Svg;




class MenuItemLink implements MenuItemLinkInterface
{
    use MenuItemTrait;
    use MenuItemLinkTrait;
    public function __construct(string $title, string $url, int $menu, bool $_cb3f1fcff8b93b4b750668c9e4157d3c, bool $_fd02c7e3d45300b40c3d9698e7b27faf)
    {
        $this->setTitle($title);
        $this->setUrl($url);
        $this->setMenu($menu);
        $this->setNewWindow($_cb3f1fcff8b93b4b750668c9e4157d3c);
        $this->setDisabled($_fd02c7e3d45300b40c3d9698e7b27faf);
    }
    
    
    
    public function getType() : int
    {
        return ItemType::LINK;
    }
    
    
}